> For the complete documentation index, see [llms.txt](https://developer.nilvera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.nilvera.com/api/magaza-api/magaza-islemleri/kullanicinin-magazalarini-getirir..md).

# Kullanıcının mağazalarını getirir.

## GET /Stores

> Kullanıcının mağazalarını getirir.

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"servers":[{"url":"/marketplace"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API Key Giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"StoreResponse":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"UUID":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"StoreType":{"$ref":"#/components/schemas/StoreType"},"StoreAccountJson":{"type":"string","nullable":true},"IsActive":{"type":"boolean"},"ConnectionStatus":{"$ref":"#/components/schemas/ConnectionStatus"}},"additionalProperties":false},"StoreType":{"enum":["Trendyol","Hepsiburada","n11","Ciceksepeti","Pazarama","Amazon","Idefix","PttAvm","GetirFood","GetirCarsi","Yemeksepeti","Etsy","Shopier","Ikas","WooCommerce","Farmazon","Shopify","Qukasoft"],"type":"string"},"ConnectionStatus":{"enum":["Pending","Checking","Success","Failed"],"type":"string"}}},"paths":{"/Stores":{"get":{"tags":["Stores"],"summary":"Kullanıcının mağazalarını getirir.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StoreResponse"}}}}}}}}}}
```

{% hint style="info" %}
`StoreAccountJson` değeri mağaza entegrasyon bilgilerini içerir. `StoreType` değerine göre tanımlanmıştır.&#x20;

{% tabs fullWidth="false" %}
{% tab title="Trendyol" %}
{% code title="StoreAccountJson" %}

```json
{
  "SupplierID" :"Trendyol Satıcı ID",
  "Key":"Trendyol API Key",
  "Secret":"Trendyol API Secret"
}
```

{% endcode %}
{% endtab %}

{% tab title="Hepsiburada" %}
{% code title="StoreAccountJson" %}

```json
{
  "MerchantID":"Hepsiburada Mağaza ID",
  "Key":"Hepsiburada Servis Anahtarı",
  "ApiAccount":"nilverasoft_dev"
}
```

{% endcode %}
{% endtab %}

{% tab title="n11" %}
{% code title="StoreAccountJson" %}

```json
{
  "Appkey":"n11 API Anahtar",
  "Appsecret":"n11 API Şifre"
}
```

{% endcode %}
{% endtab %}

{% tab title="Ciceksepeti" %}
{% code title="StoreAccountJson" %}

```json
{
  "SellerId":"Çiçeksepeti Satıcı ID",
  "ApiKey":"Çiçeksepeti API Key",
  "EntegratorName":"Çiçeksepeti Entegratör Adı"
}
```

{% endcode %}
{% endtab %}

{% tab title="Pazarama" %}
{% code title="StoreAccountJson" %}

```json
{
  "ClientId":"Pazarama API Key",
  "ClientSecret":"Pazarama API Secret"
}
```

{% endcode %}
{% endtab %}

{% tab title="Idefix" %}
{% code title="StoreAccountJson" %}

```json
{
  "ApiKey":"Idefix API KEY",
  "SecretKey":"Idefix API SECRET KEY",
  "VendorID":"Idefix Satıcı ID"
}
```

{% endcode %}
{% endtab %}

{% tab title="PttAvm" %}
{% code title="StoreAccountJson" %}

```json
{
  "UserName":"PttAvm API Kullanıcı Adı",
  "Password":"PttAvm API Şifre",
}
```

{% endcode %}
{% endtab %}

{% tab title="Ikas" %}
{% code title="StoreAccountJson" %}

```json
{
  "Subdomain":"Ikas Mağaza adresi subdomain adı",
  "ClientID":"Ikas client_id",
  "ClientSecret":"Ikas client_secret"
}
```

{% endcode %}
{% endtab %}

{% tab title="WooCommerce" %}
{% code title="StoreAccountJson" %}

```json
{
  "StoreUrl":"WooCommerce Mağaza Website Adresi",
  "ApiKey":"WooCommerce Tüketici anahtarı",
  "ApiSecret":"WooCommerce Tüketici gizli anahtarı"
}
```

{% endcode %}
{% endtab %}

{% tab title="Shopify" %}
{% code title="StoreAccountJson" %}

```json
{
  "StoreName":"Shopify mağaza adı",
  "ClientId":"Shopify ClientId",
  "ClientSecret":"Shopify ClientSecret"
}
```

{% endcode %}
{% endtab %}

{% tab title="Qukasoft" %}
{% code title="StoreAccountJson" %}

```json
{
  "StoreUrl":"Qukasoft Mağaza Website Adresi",
  "ApiKey":"Qukasoft API Key",
  "ApiSecret":"Qukasoft API Secret"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}
{% endhint %}

## The StoreType object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"StoreType":{"enum":["Trendyol","Hepsiburada","n11","Ciceksepeti","Pazarama","Amazon","Idefix","PttAvm","GetirFood","GetirCarsi","Yemeksepeti","Etsy","Shopier","Ikas","WooCommerce","Farmazon","Shopify","Qukasoft"],"type":"string"}}}}
```

## The ConnectionStatus object

```json
{"openapi":"3.0.1","info":{"title":"Market Place API","version":"v1"},"components":{"schemas":{"ConnectionStatus":{"enum":["Pending","Checking","Success","Failed"],"type":"string"}}}}
```
